CREATE TABLE SHARE_FILES (
ID_SHARE_FILES NUMBER NOT NULL,
ID_POROCILA NUMBER NOT NULL,
FILE_TYPE VARCHAR2(50),
USER_CHANGE VARCHAR2(50 CHAR),
DATE_CHANGE DATE,
FILENAME VARCHAR2(500 CHAR) NOT NULL,
FILEDATA BLOB,
CONSTRAINT PK_SHARE_FILES PRIMARY KEY(ID_SHARE_FILES)
)
;

CREATE SEQUENCE SHARE_FILES_SEQ MINVALUE 1 INCREMENT BY 1 START WITH 1 NOCACHE NOORDER  NOCYCLE
;

CREATE TABLE SHARE_FILES_COPY (
ID_SHARE_FILES_COPY NUMBER NOT NULL,
ID_SHARE_FILES NUMBER NOT NULL,
COMPUTER_NAME VARCHAR2(250 CHAR),
DATE_CHANGE DATE,
CONSTRAINT PK_SHARE_FILES_COPY PRIMARY KEY(ID_SHARE_FILES_COPY)
)
;

CREATE SEQUENCE SHARE_FILES_COPY_SEQ MINVALUE 1 INCREMENT BY 1 START WITH 1 NOCACHE NOORDER  NOCYCLE
;

ALTER TABLE SHARE_FILES
ADD FILE_REFERENCE VARCHAR2(200 CHAR)
;

CREATE INDEX IX_SHARE_FILES1 ON SHARE_FILES(ID_POROCILA, FILENAME)
;

CREATE INDEX IX_SHARE_FILES2 ON SHARE_FILES(FILE_TYPE, FILENAME)
;

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (2216, SYSDATE, '5.5', 2136, 'SHARE_FILES')
;
